<?xml version="1.0"?>
<Container version="2">
  <Name>freepbx</Name>
  <Repository>tiredofit/freepbx:15-latest</Repository>
  <Registry>https://hub.docker.com/r/tiredofit/freepbx/</Registry>
  <Network>bridge</Network>
  <Shell>sh</Shell>
  <Privileged>false</Privileged>
  <Support>https://forums.unraid.net/topic/89502-support-a75g-repo/</Support>
  <Project>https://github.com/tiredofit/docker-freepbx/</Project>
  <Overview>FreePBX is a web-based open-source graphical user interface that manages Asterisk, a voice over IP and telephony server.</Overview>
  <Category>Productivity: Network:Voip Network:Messenger</Category>
  <WebUI>http://[IP]:[PORT:80]/admin/</WebUI>
  <TemplateURL>https://raw.githubusercontent.com/A75G/docker-templates/master/templates/freepbx.xml</TemplateURL>
  <Icon>https://raw.githubusercontent.com/A75G/docker-templates/master/templates/icons/freepbx.png</Icon>
  <Description>FreePBX is a web-based open-source graphical user interface that manages Asterisk, a voice over IP and telephony server.</Description>
  <Config Name="HTTP" Target="80" Default="8150" Mode="tcp" Description="HTTP" Type="Port" Display="always" Required="false" Mask="false">8150</Config>
  <Config Name="HTTPs" Target="443" Default="4150" Mode="tcp" Description="HTTPs" Type="Port" Display="always" Required="false" Mask="false">4150</Config>
  <Config Name="PJSIP" Target="5060" Default="5060" Mode="udp" Description="PJSIP" Type="Port" Display="always" Required="false" Mask="false">5060</Config>
  <Config Name="SIP" Target="5160" Default="5160" Mode="udp" Description="SIP" Type="Port" Display="always" Required="false" Mask="false">5160</Config>
  <Config Name="TLS SIP" Target="5161" Default="5161" Mode="tcp" Description="TLS SIP" Type="Port" Display="always" Required="false" Mask="false">5161</Config>
  <Config Name="RTP Ports" Target="18000-20000" Default="18000-20000" Mode="udp" Description="RTP Ports" Type="Port" Display="always" Required="false" Mask="false">18000-20000</Config>
  <Config Name="FOP" Target="4445" Default="4445" Mode="tcp" Description="FOP" Type="Port" Display="always" Required="false" Mask="false">4445</Config>
  <Config Name="Data" Target="/data" Default="/mnt/user/appdata/freepbx/data/" Mode="rw" Description="Data" Type="Path" Display="always" Required="false" Mask="false">/mnt/user/appdata/freepbx/data/</Config>
  <Config Name="DB_EMBEDDED" Target="DB_EMBEDDED" Default="TRUE|FALSE" Mode="" Description="Allows you to use an internally provided MariaDB Server e.g. TRUE or FALSE" Type="Variable" Display="always" Required="false" Mask="false">TRUE</Config>
  <Config Name="Log" Target="/var/log" Default="" Mode="rw" Description="Log" Type="Path" Display="always" Required="false" Mask="false">/mnt/user/appdata/freepbx/logs/</Config>
  <Config Name="WWW" Target="/var/www/html" Default="" Mode="rw" Description="WWW" Type="Path" Display="always" Required="false" Mask="false">/mnt/user/appdata/freepbx/www/</Config>
  <Config Name="Certs" Target="/certs" Default="/mnt/user/appdata/freepbx/certs/" Mode="rw" Description="Certs" Type="Path" Display="always" Required="false" Mask="false">/mnt/user/appdata/freepbx/certs/</Config>
  <Config Name="DB Path" Target="/var/lib/mysql" Default="" Mode="rw" Description="DB Path" Type="Path" Display="always" Required="false" Mask="false">/mnt/user/appdata/freepbx/db/</Config>
  <Config Name="ENABLE_FAIL2BAN" Target="ENABLE_FAIL2BAN" Default="TRUE|FALSE" Mode="" Description="ENABLE_FAIL2BAN" Type="Variable" Display="always" Required="false" Mask="false">FALSE</Config>
  <Config Name="Flash Operator Panel" Target="ENABLE_FOP" Default="TRUE|FALSE" Mode="" Description="Enable Flash Operator Panel" Type="Variable" Display="always" Required="false" Mask="false">TRUE</Config>
  <Config Name="ENABLE_SSL" Target="ENABLE_SSL" Default="FALSE|TRUE" Mode="" Description="Enable HTTPs to serve SSL requests - Default FALSE" Type="Variable" Display="always" Required="false" Mask="false">FALSE</Config>
  <Config Name="ENABLE_XMPP" Target="ENABLE_XMPP" Default="FALSE|TRUE" Mode="" Description="Enable XMPP Module with MongoDB - Default FALSE" Type="Variable" Display="always" Required="false" Mask="false">FALSE</Config>
  <Config Name="INSTALL_ADDITIONAL_MODULES" Target="INSTALL_ADDITIONAL_MODULES" Default="" Mode="" Description="Comma seperated list of modules to additionally install on first container startup" Type="Variable" Display="always" Required="false" Mask="false"/>
  <Config Name="RTP_START" Target="RTP_START" Default="18000" Mode="" Description="What port to start RTP Transmissions" Type="Variable" Display="always" Required="false" Mask="false">18000</Config>
  <Config Name="RTP_FINISH" Target="RTP_FINISH" Default="20000" Mode="" Description="What port to end RTP Transmissions" Type="Variable" Display="always" Required="false" Mask="false">20000</Config>
  <Config Name="TLS_CERT" Target="TLS_CERT" Default="cert.pem" Mode="" Description="TLS Certificate to drop in /certs for HTTPS if no reverse proxy" Type="Variable" Display="always" Required="false" Mask="false">cert.pem</Config>
  <Config Name="TLS_KEY" Target="TLS_KEY" Default="key.pem" Mode="" Description="TLS Key to drop in /certs for HTTPS if no reverse proxy" Type="Variable" Display="always" Required="false" Mask="false">key.pem</Config>
  <Config Name="DB_EMBEDDED" Target="DB_EMBEDDED" Default="TRUE|FALSE" Mode="" Description="Allows you to use an internally provided MariaDB Server e.g. TRUE or FALSE" Type="Variable" Display="always" Required="false" Mask="false">TRUE</Config>
</Container>